### Signal

# FoundryGtk ShortcutObserver::accel-changed

#### Declaration

    void
    accel_changed (
      FoundryShortcutObserver* self,
      gchar* action,
      gchar* accel,
      gpointer user_data
    )

#### Description [src]

This signal is emitted when an action is determined to have been changed by the user or some other mechanism.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
The signal can be detailed

#### Parameters

`action`

  Type: `gchar*`

  The action to be performed.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`accel`

  Type: `gchar*`

  The accelerator for the action.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.